Skip to main content
GET
/
v1
/
channels
/
{channelId}
/
messages
List messages
curl --request GET \
  --url https://api.magne.app/v1/channels/{channelId}/messages \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "content": "<string>",
    "attachments": {},
    "editedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "authorName": "<string>",
    "authorAvatar": "<string>",
    "mentions": [
      "<string>"
    ],
    "mentionEveryone": true,
    "authorBadges": [
      "<string>"
    ],
    "pinnedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "pinnedByName": "<string>",
    "reactions": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

channelId
string<uuid>
required

Query Parameters

before
string<uuid>
limit
integer

Response

Success

id
string<uuid>
channelId
string<uuid>
authorId
string<uuid>
content
string
attachments
object
editedAt
string<date-time> | null
createdAt
string<date-time>
authorName
string
authorAvatar
string | null
mentions
string[]
mentionEveryone
boolean
authorBadges
string[]
pinnedBy
string<uuid> | null
pinnedByName
string | null
reactions
object